%%
%% $Id$
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(lgi.test_law).

-behaviour(lgi).

-export([initial_context/1, sent/2, arrived/2, post_condition/4]).

-import(lgi).

initial_context(Params) ->
  [].

sent(To, Msg) ->
  lgi:forward().

arrived(From, test) ->
  lgi:set@(p1, "p1"),
  "p1" = lgi:get@(p1),
  lgi:deliver();
arrived(From, match_failed) ->
  lgi:set@(p1, "p1"),
  "p2" = lgi:get@(p1),
  lgi:deliver().

post_condition(arrived, From, Msg, LawSuccess) when LawSuccess == true;
						    LawSuccess == false ->
  ok;
post_condition(sent, To, Msg, LawSuccess) when LawSuccess == true;
					       LawSuccess == false ->
  ok.
