%%
%% $Id$
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(property_file.test_mod2).

-behaviour(property_file).

-export([parse_config/4, store_config/2, remove_config/1]).

-import(lists).
-import(ets).

%% Handler interface

parse_config(RP, [], Content, _Seed) -> %empty entries
  {fmt_node_path(RP), empty_attrs}.

store_config(Entry, Entries) ->
  [].

remove_config(DB) ->
  exit(test).

fmt_node_path([NodeName]) ->
  NodeName;
fmt_node_path(RevPath) ->
  list_to_tuple(lists:reverse(RevPath)).
