%%% File    : tac_event.hrl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%% Created : 11 Jan 2002 by  <svg@surnet.ru>

%%**
%% 
%% .* tac_event
%% 
%% .src

-include("tacacs.hrl").

-record(tac_event, {time,
                    reason,        % authen|author|account|error|info
                    userid,        % #userid{}
                    serverid,      % #serverid{}
                    event_args=[], % [{name, value}]
                    msg_args=[],   % [#msg_arg]
                    node=node()
                   }).

%% ./
%%
%% .= DESCRIPTION
%%
%% Event args consist of
%% .{
%% .- [service, type, priv_lvl] for authentication;
%% .- [perimit=true|false] for authorization;
%% .- [phase=start|stop] for accounting.
%% .}
%%
%%*
