%%% File    : dialup_tariff_ce.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%% Created : 24 Sep 2004 by  <svg@surnet.ru>

%%
%% $Id$
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(aaa.dialup_tariff_ce).

-export([customer_relationship/2, quantity/2, amount/2, discount/2]).

-import(mnesia).

-include("aaa_schema.hrl").

customer_relationship(SS=#ss{se=#se{id=ServiceId}
			    }, Ce) ->
  [Service] = mnesia:dirty_read(aaa_service, ServiceId),
  Service#aaa_service.party_relationship_id.

quantity(SS=#ss{ue=#ue_ia{duration=D
			 }
	       },
	 Ce) ->
  Quantity=D.

amount(SS=#ss{ue=#ue_ia{duration=D
		       }
	     },
       Ce=#ce{chargeable_unit=duration,
	      measured_unit=seconds
	     }) ->
  {D, unit}.

discount(_SS, _Ce) ->
  Discount=0.
