%%% File    : wservice_types.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%% Created :  4 Dec 2002 by  <svg@surnet.ru>

%%
%% $Id: wservice_types.erl,v 1.1 2003/09/01 15:18:40 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(wservice_type).

-behaviour(wsdcomp).

-export([init/2, access_info/3, handle_event/6]).

-include("wstl.hrl").

access_info(_, _, _) ->
  exit(must_never_reach).

handle_event(Event, From,  WA, Srv, State, StateData) ->
  exit(must_never_reach).
  
init(WA, Props) ->
  {component,
   wsdcomp:create(wsite.entity_type,
		  {WA, service_type, id, service_type_attr, service_type_id},
		  WA,
		  [{primary_key_case, lower}|Props]
		 )
  }.
