%%%-------------------------------------------------------------------
%%% File    : wsapplication_sup.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%%
%%% Created :  3 May 2003 by  <svg@surnet.ru>
%%%-------------------------------------------------------------------
%%
%% $Id: wsapplication_sup.erl,v 1.1.1.1 2003/05/05 20:20:58 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(wsapplication_sup).

-behaviour(supervisor).
%%--------------------------------------------------------------------
%% Include files
%%--------------------------------------------------------------------

%%--------------------------------------------------------------------
%% External exports
%%--------------------------------------------------------------------
-export([start_link/2]).

%%--------------------------------------------------------------------
%% Internal exports
%%--------------------------------------------------------------------
-export([init/1]).

%%====================================================================
%% External functions
%%====================================================================
%%--------------------------------------------------------------------
%% Function: start_link/0
%% Description: Starts the supervisor
%%--------------------------------------------------------------------
start_link(Name, ChildSpec) ->
  supervisor:start_link({local, Name}, ?MODULE, ChildSpec).

%%====================================================================
%% Server functions
%%====================================================================
%%--------------------------------------------------------------------
%% Func: init/1
%% Returns: {ok,  {SupFlags,  [ChildSpec]}} |
%%          ignore                          |
%%          {error, Reason}   
%%--------------------------------------------------------------------
init(ChildSpec) ->
  {ok,{{one_for_one, 4, 3600}, ChildSpec}}.

%%====================================================================
%% Internal functions
%%====================================================================
