%%
%% $Id: wsempty_dcomp.erl,v 1.4 2003/10/31 17:57:31 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(wsempty_dcomp).

-behaviour(wsdcomp).

-export([init/2, access_info/3, handle_event/6]).

-export([run/4]).

-include("wstl.hrl").

-record(state, {}).

access_info(_, _, _) ->
  #access_info{events=[], default_event=do}.

init(_Arg, _Props) ->
  {ok, run, #state{}}.

run(do, WA, Srv, StateData) ->
  Out = [],
  {next_state, ok, Out, run, StateData}.

handle_event(Event, security_alert, WA, Srv, State, S) ->
  {stop, {security_alert, Event}};
handle_event(_, old_request, WA, Srv, State, StateData) ->
  run(do, WA, Srv, StateData).
