%%%-------------------------------------------------------------------
%%% File    : wstl.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%%
%%% Created : 28 Apr 2003 by  <svg@surnet.ru>
%%%-------------------------------------------------------------------
%%
%% $Id: wstl.erl,v 1.1.1.1 2003/05/05 20:20:59 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(wstl).

-behaviour(application).
%%--------------------------------------------------------------------
%% Include files
%%--------------------------------------------------------------------

%%--------------------------------------------------------------------
%% External exports
%%--------------------------------------------------------------------
-export([start/0, start/2,stop/1, start_application/2, stop_application/1]).

%%--------------------------------------------------------------------
%% Internal exports
%%--------------------------------------------------------------------
-export([]).

start_application(AppName, Params) ->
  wsapplication_mgr:start_application(AppName, Params).

stop_application(AppName) ->
  wsapplication_mgr:stop_application(AppName).

start() ->
  application:start(?MODULE).

start(_, _) ->
  case wstl_sup:start_link() of
    {ok, Pid} -> 
      {ok, Pid};
    Error ->
      Error
  end.

%%--------------------------------------------------------------------
%% Func: stop/1
%% Returns: any 
%%--------------------------------------------------------------------
stop(State) ->
  ok.
