-ifdef(debug).

-define(dbg(F, A), dbg_info("line ~w, "++F, [?LINE|A])).

-export([dbg_info/2]).

dbg_info(Format, Args) ->
  ok.

-else.

-define(dbg(F, A), []).

-endif. %//DEBUG

%% ?MATCH
%%
%% Generates badmatch error with module and line info if X does not match Y.
%%
%% usage:  ?match (A,A)

-define (match (X, Y), {?MODULE, ?LINE, X} = {?MODULE, ?LINE, Y}).
