
ESRC += $(wildcard stl/src/*.erl)

EAPP_SRC += stl/src/stl.app.src

STLFGEN := stl/bin/stlfgen

stlAPPVSN := "1.2.0"
stlAPPMODULES := $(notdir $(basename $(wildcard stl/src/*.erl)))

stlTEMPLATE_DIR := stl/templates
stlFILEGEN := erl -pa */ebin -pa $(JUNGERL_DIR)/lib/*/ebin \
	-noshell -noinput -run stlfgen do -s init stop

$(STLFGEN) : $(stlTEMPLATE_DIR)/stlfgen.stl
	@set -e; \
	echo -n --out-file=$(STLFGEN) --template=$< \
	| env JUNGERL_DIR=$(JUNGERL_DIR) $(stlFILEGEN); \
	chmod 755 $(STLFGEN)

stl-all : $(STLFGEN)

stl-clean :
	rm -f $(STLFGEN)
