%%%-------------------------------------------------------------------
%%% File    : tac_app.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%%
%%% Created : 23 Jan 2002 by  <svg@surnet.ru>
%%%-------------------------------------------------------------------
%%**
%% 
%% .* tac_app
%% 
%%*
-module(tac_app).
-author('svg@surnet.ru').

-behaviour(application).

%% External exports
-export([start/2, stop/1, config_change/3]).

-import(wslib.props).

start(_, StartArgs) ->
  Config = props:gv(config, StartArgs ++ application:get_all_env(), default),
  tac_conf:start_link(Config).

stop(_State) ->
  ok.

config_change(Changed, New, Removed) ->
  ok.
