%%% File    : party_relationship_category.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%% Created : 24 Jul 2003 by  <svg@surnet.ru>

%%
%% $Id: party_relationship_category.erl,v 1.4 2003/10/31 17:51:02 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(wsite.party_relationship_category).

-export([valid_categories/3]).

-import(.wslib).
-import(.wsdb).
-import(.lists).

-include("wstl.hrl").

valid_categories(Dbh, PartyId, Direction) when Direction == to;
					       Direction == from ->
  Q = 'PARTY_RELATIONSHIP_CATEGORY_BY_PARTY',
  QP = [{party_id, PartyId}, {direction, {noquote, Direction}}],
  Cs = wsdb:do(Dbh, select, [Q, QP]).


