%%
%% $Id: wsdb.hrl,v 1.1 2003/05/08 22:49:48 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*

-include("mnesiadb.hrl").

%% party
-record(party, {id,
		party_type_id
	       }).

%% person
-record(person, {party_id,
		 last_name,
		 first_name,
		 middle_name,
		 personal_title,
		 gender,
		 comments
		}).

%% security_permission
-record(security_permission, {id,
			      comment
			     }).

%% security_group_permission
-record(security_group_permission, {group_id,
				    permission_id
				   }).

%% security_group
-record(security_group, {id,
			 comment,
			 permissions=[] % ref to security_permission
			}).

%% user_login_security_group
-record(ul_sec_group, {group_id, % [security_group.id]
		       from_date,
		       thru_date
		      }).

%% user_login
-record(user_login, {login_id,
		     password,
		     password_hint,
		     party_id,
		     disabled_datetime,
		     enabled,
		     login_attempts,
		     sec_groups % [#ul_sec_group]
		    }).

