%%% File    : wsdb_rdbms.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%% Created :  7 May 2003 by  <svg@surnet.ru>

%%
%% $Id: wsdb_rdbms.erl,v 1.1 2003/10/31 17:57:31 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*

-module(wsdb_rdbms).

-export([wsdb_handler/1]).

-import(wslib.rdbmsdb).

wsdb_handler(_) ->
  fun (handler, _) ->
      [];
      (transaction, Fun) ->
      rdbms:activity(Fun);
      (do, [Fun, Args]) when is_atom(Fun) ->
      apply(wslib.rdbmsdb, Fun, Args);
      (do, [Fun, Args]) ->
      apply(Fun, Args);
      (FunName, Args) when FunName == insert_row;
			   FunName == update_row;
			   FunName == read_row;
			   FunName == delete_row ->
      apply(wslib.rdbmsdb, FunName, Args);
      (select_rows, [Table, Where, Rest]) ->
      apply(wslib.rdbmsdb, rdbms_select, [Table, Where]);
      (select_rows, Args) ->
      apply(wslib.rdbmsdb, rdbms_select, Args);
      (FunName, Args) when is_atom(FunName) ->
      apply(wslib.rdbmsdb, FunName, Args)
  end.

