%%
%% $Id: wslanguage_phrases.erl,v 1.5 2003/10/31 17:57:31 vsekissov Exp $
%%
%%**
%% 
%% @doc Language messages for <code>phrase</code> server.
%% @end
%%*
-module(wslanguage_phrases).

-export([all/0]).

all() ->
  {[{{accept_language, ru}, 'koi8-r', []},
    {{accept_language, fr}, 'iso-8859-1', []},
    {{ru, 'HELLO_WORLD'}, ", ", []},
    {{en, 'HELLO_WORLD'}, "Hello World", []},
    {{fr, 'HELLO_WORLD'}, "Salut le Monde", []},
    {{ru, 'BYE'}, "", []},
    {{en, 'BYE'}, "Bye", []},
    {{fr, 'BYE'}, "Adieu", []},
    %%
    {{en, true}, "yes", []},
    {{ru, true}, "", []},
    {{en, false}, "no", []},
    {{ru, false}, "", []},
    {{en, do_next}, "Next >>", []},
    {{ru, do_next}, " >>", []},
    {{en, do_previous}, "<< Previous", []},
    {{ru, do_previous}, "<< ", []},
    {{ru, do_next_page}, "&nbsp;>&nbsp;", []},
    {{ru, do_prev_page}, "&nbsp;<&nbsp;", []},
    {{en, do_next_page}, "&nbsp;>&nbsp;", []},
    {{en, do_prev_page}, "&nbsp;<&nbsp;", []},
    {{en, do_search}, "Search", []},
    {{ru, do_search}, "", []},
    {{ru, description}, "", []},
    {{en, description}, "Description", []},

    {{en, party_relationship_type}, "Party Relationship Type", []},
    {{ru, party_relationship_type}, " ", []},

    {{ru, party_relationship_type_id}, "", []},
    {{en, party_relationship_type_id}, "Relationship", []},
    {{ru, party_type_id}, "", []},
    {{en, party_type_id}, "Party Type", []},
    {{en, name}, "Name", []},
    {{ru, party_name}, "", []},
    {{en, party_name}, "Name", []},
    {{ru, name}, "", []},
    {{en, category_id}, "Category", []},
    {{ru, category_id}, "", []},
    {{en, wsparty_relationship_category}, "Party Relationship Category", []},
    {{ru, wsparty_relationship_category}, " ", []},
    {{en, has_table}, "Has Table", []},
    {{ru, has_table}, " ", []},
    {{en, form}, "Form", []},
    {{en, form}, "", []},
    {{ru, back}, "", []},
    {{en, back}, "Back", []},        
    {{ru, save}, "", []},
    {{en, save}, "Save", []},    
    {{ru, delete}, "", []},
    {{en, delete}, "Delete", []},
    {{ru, insert}, "", []},
    {{en, insert}, "Add", []},
    {{ru, do_create}, "", []},
    {{en, do_create}, "Create", []},
    {{ru, do_add_row}, "", []},
    {{en, do_add_row}, "Add", []},
    {{ru, do_insert}, "", []},
    {{en, do_insert}, "Insert", []},
    {{ru, do_delete_row}, "", []},
    {{en, do_delete_row}, "Delete", []},
    {{ru, do_edit_row}, ".", []},
    {{ru, do_view_row}, "", []},
    {{en, do_view_row}, "View", []},
    {{ru, do_view}, "", []},
    {{en, do_view}, "View", []},
    {{en, do_edit_row}, "Edit", []},
    {{en, do_edit}, "Edit", []},
    {{ru, do_edit}, ".", []},
    {{ru, do_refresh}, "", []},
    {{en, do_refresh}, "Refresh", []},
    {{ru, do_cancel}, "", []},
    {{en, do_cancel}, "Cancel", []},
    {{ru, do_exit}, "", []},
    {{en, do_exit}, "Exit", []},
    {{en, do_select}, "Select", []},
    {{ru, do_select}, "", []},
    {{en, do_change_password}, "Change password", []},
    {{ru, do_change_password}, " ", []},
    {{en, password_type}, "Password Type", []},
    {{ru, password_type}, " ", []},
    {{ru ,password_value}, "", []},
    {{en ,password_value}, "Password", []},
    {{en, password_changed}, "Password Changed", []},
    {{ru, password_changed}, " ", []},
    {{ru, reset}, "", []},
    {{en, reset}, "Reset", []},
    %%
    {{en, do_logout}, "Logout", []},
    {{ru, do_logout}, "", []},
    {{en ,user_login}, "Login", []},
    {{ru ,user_login}, "", []},
    {{ru ,login_id}, "", []},
    {{en ,login_id}, "Login", []},
    {{ru ,password}, "", []},
    {{en ,password}, "Password", []},
    {{en, disabled_datetime}, "Disabled Date", []},
    {{ru, disabled_datetime}, " ", []},
    {{en, enabled}, "Enabled", []},
    {{ru, enabled}, "", []},
    {{en, login_attempts}, "Login Attempts", []},
    {{ru, login_attempts}, " ", []},
    {{en, do_security_groups}, "Security Groups", []},
    {{ru, do_security_groups}, " ", []},
    {{en, wsuser_login_security_group}, "Security Groups", []},
    {{ru, wsuser_login_security_group}, " ", []},
    %% security group
    {{ru, security_group}, " ", []},
    {{en, security_group}, "Security Group", []},
    {{ru, id}, ".", []},
    {{en, id}, "Id", []},
    {{ru, comment}, "", []},
    {{en, comment}, "Comment", []},
    {{en, do_group_permissions}, "Group Permissions", []},
    {{ru, do_group_permissions}, " ", []},
    %% security permission
    {{ru, security_permission}, " ", []},
    {{en, security_permission}, "Security Permission", []},
    %%
    {{en, person}, "Person", []},
    {{ru, person}, ".", []},
    {{ru, party_id}, ".", []},
    {{en, party_id}, "Id", []},
    {{ru, party_id_from}, ".", []},
    {{en, party_id_from}, "Id", []},
    {{ru, from_date}, " ", []},
    {{en, from_date}, "From Date", []},
    {{ru, thru_date}, " ", []},
    {{en, thru_date}, "Thru Date", []},
    {{ru, last_name}, "", []},
    {{en, last_name}, "Last Name", []},
    {{ru, first_name}, "", []},
    {{en, first_name}, "First Name", []},
    {{ru, middle_name}, "", []},
    {{en, middle_name}, "Middle Name", []},
    {{ru,personal_title}, "", []},
    {{en,personal_title}, "Personal Title", []},
    {{ru,gender	 }, "", []},
    {{en,gender	 }, "Gender", []},
    {{ru,comments}, "", []},
    {{en,comments}, "Comments", []},
    {{en, 'RECORDS_INSERTED'}, "Records inserted: ~w", [num]},
    {{en, 'RECORDS_UPDATED'}, "Records updated: ~w", [num]},
    {{en, 'RECORDS_DELETED'}, "Records deleted: ~w", [num]},
    {{ru, 'RECORDS_INSERTED'}, " : ~w", [num]},
    {{ru, 'RECORDS_UPDATED'}, " : ~w", [num]},
    {{ru, 'RECORDS_DELETED'}, " : ~w", [num]},
    %% relationship type names
    {{en, 'ORGANIZATION_DIVISION'}, "Organization Division", []},
    {{ru, 'ORGANIZATION_DIVISION'}, "", []},
    {{en, 'CUSTOMER'}, "Customer", []},
    {{ru, 'CUSTOMER'}, "", []},
    {{en, 'PARTNER'}, "Partner", []},
    {{ru, 'PARTNER'}, "", []},
    {{en, not_found}, "Not Found: %s", [thing]},
    {{ru, not_found}, " : %s", [thing]},
    {{en, organization}, "Organization", []},
    {{ru, organization}, "", []},
    %% relationship
    {{en, do_relationships}, "Continue >>", []},
    {{ru, do_relationships}, " >>", []},
    %% roles
    {{en, party_role}, "Party Role", []},
    {{ru, party_role}, "", []},
    {{en, do_party_roles}, "Party Roles", []},
    {{ru, do_party_roles}, "", []},

    {{en, role_type}, "Party Role Type", []},
    {{ru, role_type}, " ", []},
    {{en, role_type_id}, "Role Id", []},
    {{ru, role_type_id}, " ", []},
    {{en, location_role_type}, "Location Role Type", []},
    {{ru, location_role_type}, ": ", []},
    {{en, location_role_type_id}, "Location Role Id", []},
    {{ru, location_role_type_id}, " ", []},

    {{en, wscontact_means_type}, "Contact Means Type", []},
    {{ru, wscontact_means_type}, " ", []},

    {{en, contact_mech_role_type}, "Contact Role Type", []},
    {{ru, contact_mech_role_type}, ": ", []},
    {{en, contact_mech_role_type_id}, "Contact Role Id", []},
    {{ru, contact_mech_role_type_id}, " ", []},

    {{en, 'CHOOSE_VALUE'}, "Choose value", []},
    {{ru, 'CHOOSE_VALUE'}, " ", []},
    {{en, 'MALE'}, "Male", []},
    {{ru, 'MALE'}, "", []},
    {{en, 'FEMALE'}, "Female", []},
    {{ru, 'FEMALE'}, "", []},
    %% postal address
    {{en, postal_address}, "Postal Address", []},
    {{ru, postal_address}, " ", []},
    {{en, city}, "City", []},
    {{ru, city}, "", []},
    {{en, address1}, "Address1", []},
    {{ru, address1}, "1", []},
    {{en, address2}, "Address2", []},
    {{ru, address2}, "2", []},
    {{en, postal_code}, "Postal Code", []},
    {{ru, postal_code}, " ", []},
    {{en, postal_address_name}, "Postal Address", []},
    {{ru, postal_address_name}, " ", []},
    {{en, postal_address_id}, "Postal Address Id", []},
    {{ru, postal_address_id}, " , .", []},
    {{en, location}, "Location", []},
    {{ru, location}, "", []},
    {{en, contact_mech}, "Contact Mech.", []},
    {{ru, contact_mech}, " -", []},

    {{en, type_id}, "Type Id.", []},
    {{ru, type_id}, "", []},
    {{en, type_description}, "Type Description", []},
    {{ru, type_description}, "", []},
    {{en, email_address}, "Email Address", []},
    {{ru, email_address}, " E-mail", []},
    {{en, country_code}, "Country Code", []},
    {{ru, country_code}, " ", []},
    {{en, area_code}, "Area Code", []},
    {{ru, area_code}, " ", []},
    {{en, contact_number}, "Number", []},
    {{ru, contact_number}, "", []},

    {{en, contact_means_name}, "Contact Means", []},
    {{ru, contact_means_name}, "", []},
    {{en, contact_means_id}, "Contact Means Id", []},
    {{ru, contact_means_id}, ". ", []},

    {{en, contact_means_type_id}, "Type", []},
    {{ru, contact_means_type_id}, "", []},
    {{en, contact_means_type_comment}, "Desc.", []},
    {{ru, contact_means_type_comment}, "", []},

    {{en, do_view_entities}, "View Entities", []},
    {{ru, do_view_entities}, "View Entities", []},
    {{en, do_type_attrs}, "Entity Attributes", []},
    {{ru, do_type_attrs}, "Entity Attributes", []},
    {{en, do_view_relationship_details}, "Details", []},
    {{ru, do_view_relationship_details}, "", []},

    {{en, 'TELECOM'}, "Telecom", []},
    {{ru, 'TELECOM'}, "", []},
    {{en, 'EMAIL'}, "Email", []},
    {{ru, 'EMAIL'}, ".", []},
    {{en, 'PARTY_LOCATION_FORM_LABEL'}, "~w:~s -> Location", [id, name]},
    {{ru, 'PARTY_LOCATION_FORM_LABEL'}, "~w:~s -> ", [id, name]},

    {{en, 'PARTY_CONTACT_MECH_FORM_LABEL'}, "~w:~s -> Contact Mech.", [id, name]},
    {{ru, 'PARTY_CONTACT_MECH_FORM_LABEL'}, "~w:~s ->  -", [id, name]},

    {{en, 'PARTY_RELATIONSHIP_FORM_LABEL'}, "~w:~s -> ~s", [id, name, description]},
    {{ru, 'PARTY_RELATIONSHIP_FORM_LABEL'}, "~w:~s -> ~s", [id, name, description]},
    {{en, 'CONTACT_MEANS_FORM_LABEL'}, "Contact Means: ~s", [description]},
    {{ru, 'CONTACT_MEANS_FORM_LABEL'}, " : ~s", [description]},
    {{en, chunk_size}, "Size", []},
    {{ru, chunk_size}, "", []},
    %% party_relationship_type form
    {{en, role_type_id_from_valid}, "Role Type From", []},
    {{ru, role_type_id_from_valid}, "  ", []},
    {{en, role_type_id_to_valid}, "Role Type To", []},
    {{ru, role_type_id_to_valid}, "  ", []},
    %% party_relationship_service form
    {{en, party_relationship_service}, "Service", []},
    {{ru, party_relationship_service}, "", []},
    {{en, party_relationship_service_rowset}, "Services: ~s ~w-~s",
     [party_role_description, party_id, party_name]
    },
    {{ru, party_relationship_service_rowset}, ": ~s ~w-~s",
     [party_role_description, party_id, party_name]
    },
    {{en, {party_relationship_service, party_id_from}}, "Client", []},
    {{ru, {party_relationship_service, party_id_from}}, "", []},
    {{en, {party_relationship_service, party_id_to}}, "Supplier", []},
    {{ru, {party_relationship_service, party_id_to}}, "", []},
    {{en, {party_relationship_service, party_name_from}}, "", []},
    {{ru, {party_relationship_service, party_name_from}}, "", []},
    {{en, {party_relationship_service, party_name_to}}, "", []},
    {{ru, {party_relationship_service, party_name_to}}, "", []},

    {{en, service_type_id}, "Service Type", []},
    {{ru, service_type_id}, " ", []},
    {{en, created_date}, "Created Date", []},
    {{ru, created_date}, " ", []},
    {{en, closed_date}, "Closed Date", []},
    {{ru, closed_date}, " ", []},
    {{en, status_date}, "Status Date", []},
    {{ru, status_date}, " ", []},
    {{en, status}, "Status", []},
    {{ru, status}, "", []},
    {{en, created}, "created", []},
    {{ru, created}, "", []},
    {{en, open}, "open", []},
    {{ru, open}, "", []},
    {{en, closed}, "closed", []},
    {{ru, closed}, "", []},
    {{en, reserved}, "reserved", []},
    {{ru, reserved}, "", []},
    {{en, suspended}, "suspended", []},
    {{ru, suspended}, "", []},
    {{en, caller_phone}, "Caller Phone", []}, 
    {{en, caller_phone}, " ", []},
    {{en, restday_mask}, "Rest Days", []},
    {{ru, restday_mask}, " ", []},
    {{en, restday_disabled_time_from}, "Restday Disabled Time", []},
    {{ru, restday_disabled_time_from}, "    ", []},
    {{en, workday_disabled_time_from}, "Workday Disabled Time", []},
    {{ru, workday_disabled_time_from}, "    ", []},
    {{en, "Mon"}, "Mon", []},
    {{en, "Tue"}, "Tue", []},
    {{en, "Wed"}, "Wed", []},
    {{en, "Thu"}, "Thu", []},
    {{en, "Fri"}, "Fri", []},
    {{en, "Sat"}, "Sat", []},
    {{en, "Sun"}, "Sun", []},
    {{ru, "Mon"}, "", []},
    {{ru, "Tue"}, "", []},
    {{ru, "Wed"}, "", []},
    {{ru, "Thu"}, "", []},
    {{ru, "Fri"}, "", []},
    {{ru, "Sat"}, "", []},
    {{ru, "Sun"}, "", []},
    {{en, service}, "Service", []},
    {{ru, service}, "", []},
    {{en, {service, plural}}, "Services", []},
    {{ru, {service, plural}}, "", []},
    {{en, {tariff, tariff}}, "Tariffs", []},
    {{ru, {tariff, tariff}}, "", []},
    {{en, tariff_id}, "Tariff", []},
    {{ru, tariff_id}, "", []},
    {{en, charge_type_id}, "Charge Type", []},
    {{ru, charge_type_id}, " ", []},
    %% party_relationship_account
    {{en, party_relationship_account}, "Party Relationship Accounts", []},
    {{ru, party_relationship_account}, "", []},
    {{en, {party_relationship_account, party_id_from}}, "Client", []},
    {{ru, {party_relationship_account, party_id_from}}, "", []},
    {{en, {party_relationship_account, party_id_to}}, "Supplier", []},
    {{ru, {party_relationship_account, party_id_to}}, "", []},
    {{en, {party_relationship_account, party_name_from}}, "", []},
    {{ru, {party_relationship_account, party_name_from}}, "", []},
    {{en, {party_relationship_account, party_name_to}}, "", []},
    {{ru, {party_relationship_account, party_name_to}}, "", []},
    {{en, amount}, "Amount", []},
    {{ru, amount}, "", []}, 
    {{en, account_type_debit}, "Prepayment", []},
    {{ru, account_type_debit}, "", []},
    {{en, account_type_credit}, "Credit", []},
    {{ru, account_type_credit}, "", []},
    {{en, account_type_id}, "Account Type", []},
    {{ru, account_type_id}, " ", []},
    {{en, 'ACCOUNT_TRANSACTION_OP'}, "Accounting Records ~s", [transaction_type_id]},
    {{ru, 'ACCOUNT_TRANSACTION_OP'}, "   ~s", [transaction_type_id]},
    {{en, quantity}, "Quantity", []},
    {{ru, quantity}, "", []},
    {{en, entry_date}, "Entry Date", []},
    {{ru, entry_date}, " ", []},
    {{en, source_type_id}, "Source Type", []},
    {{ru, source_type_id}, " ", []},
    {{en, source_id}, "Source Id", []},
    {{ru, source_id}, ". ", []},
    {{en, debit}, "Debit", []},
    {{ru, debit}, "", []},
    {{en, credit}, "Credit", []},
    {{ru, credit}, "", []},
    {{en, discount}, "Discount", []},
    {{ru, discount}, "", []},
    {{en, credit_limit}, "Credit Limit", []},
    {{ru, credit_limit}, " ", []},
    {{en, charge}, "Charge", []},
    {{ru, charge}, "", []},
    {{en, payment}, "Payment", []},
    {{en, payment}, "", []},
    {{en, do_view_account_charge}, "Charge", []},
    {{ru, do_view_account_charge}, "", []},
    {{en, do_view_account_payment}, "Payment", []},
    {{en, do_view_account_payment}, "", []},
    {{en, currency_type_id}, "Currency", []},
    {{ru, currency_type_id}, "", []},
    %%
    {{en, wsecurity_permission}, "Security Permissions", []},
    {{ru, wsecurity_permission}, "", []},
    {{en, wsecurity_group}, "Security Groups", []},
    {{ru, wsecurity_group}, " ", []},
    {{en, wsparty_person}, "Party Persons", []},
    {{ru, wsparty_person}, ".", []},
    {{en, wspostal_address}, "Postal Addresses", []},
    {{ru, wspostal_address}, " ", []},
    {{en, wscontact_means}, "Contact Means", []},
    {{ru, wscontact_means}, "", []},
    {{en, wsparty_types}, "Party Types", []},
    {{ru, wsparty_types}, " ", []},
    {{en, wsparty_relationship_type}, "Party Relationships Types", []},
    {{ru, wsparty_relationship_type}, "  ", []},
    {{en, wsrole_types}, "Role Types", []},
    {{ru, wsrole_types}, " ", []},
    {{en, wsparty_organization}, "Party Organizations", []},
    {{ru, wsparty_organization}, "", []},
    {{en, wsuser_login}, "User Logins", []},
    {{ru, wsuser_login}, "", []},
    {{en, wservice_type}, "Service Types", []},
    {{ru, wservice_type}, " ", []},
    {{en, wstariff}, "Tariffs", []},
    {{ru, wstariff}, "", []},
    {{en, wsparty_relationship_service}, "Party Services", []},
    {{ru, wsparty_relationship_service}, "", []},
    {{en, wsparty_relationship_account}, "Party Accounts", []},
    {{ru, wsparty_relationship_account}, "", []},
    {{en, wsleasedline_sia}, "Leased Line Sia", []},
    {{ru, wsleasedline_sia}, "Leased Line Sia", []}
   ],
   fun () -> end_of_input end
  }.
